Skip to content
POST/{organizationId}/{mandateId}/receipts/donation

Create donation receipt

Creates a new donation receipt for a given mandate

Required permissions:

  • mandate.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

titlestringrequired

minLength: 1

maxLength: 30

introstringrequired

maxLength: 2000

accountintegerrequired

minimum: 1

maximum: 999999999

receiptDatestringrequired
dueDatestringrequired
donationTypestringrequired

Options:

cashmembershipFeeassetStockrefund

ObjectId as string

Default: ""

sendMethodstringoptional

Default: "none"

Options:

noneemailpostal
accountNamestringoptional

Default: ""

minLength: 1

receiptNumberstring | nulloptional

Default: null

maxLength: 30

customerTypestringoptional

Default: "debtor"

Options:

debtorcustomermemberbooking

Default: []

descriptionstringoptional

Default: ""

maxLength: 140

notestringoptional

Default: ""

maxLength: 2000

paymentTermsstringoptional

maxLength: 2000

doNotSendReceiptbooleanoptional

Default: false

minItems: 1

queueReceiptDocumentbooleanoptional

Default: false

maxItems: 20

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/receipts/donation
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/receipts/donation' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "address": {
    "country": "string",
    "zip": "string",
    "city": "string",
    "addressLine": "string"
  },
  "title": "string",
  "intro": "string",
  "account": 1,
  "receiptDate": "string",
  "dueDate": "string",
  "donationType": "cash",
  "positions": [
    {
      "description": "string",
      "details": "string",
      "amount": 0,
      "account": 1
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

alreadyCollectedbooleanoptional

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}